아마존 상품
Amazon Product는 단일 ASIN에 대한 전체 상세 페이지를 반환하며, 가격, 이미지, 카테고리, 변형(variant), 속성을 포함합니다.
엔드포인트
섹션 제목: “엔드포인트” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product
매개변수
섹션 제목: “매개변수”| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
api_key | string | 예 | 사용자의 SERP API 키(Amazon과 공유됨). |
engine | string | 예 | 반드시 amazon이어야 합니다. |
type | string | 예 | 반드시 product여야 합니다. |
product_id | string | 예 | Amazon 제품 ID(ASIN). |
domain | string | 아니요 | 마켓플레이스 도메인, 기본값은 amazon.com. |
device | desktop | mobile | 아니요 | 시뮬레이션할 디바이스. |
제품 ID 찾기
섹션 제목: “제품 ID 찾기”Amazon은 ASIN(Amazon Standard Identification Number)으로 제품을 식별합니다. 다음 두 가지 방법으로 확인할 수 있습니다.
- 제품 URL에서
/dp/뒤에 표시됩니다(예:https://www.amazon.com/dp/B08C1W5N87). - 제품 페이지의 “Product Information” 또는 “Additional Information” 섹션에서 확인할 수 있습니다.
요청 예시
섹션 제목: “요청 예시”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product&product_id=B08C1W5N87"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "product", "product_id": "B08C1W5N87",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'product', product_id: 'B08C1W5N87',});
const res = await fetch(url);const data = await res.json();응답 예시
섹션 제목: “응답 예시”{ "search_metadata": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "product", "product_id": "B08C1W5N87" }, "product": { "title": "Fire TV Stick with Alexa Voice Remote", "product_id": "B08C1W5N87", "brand": "Amazon", "price": { "current_price": "$19.99", "currency": "$" }, "rating": { "rating": 4.7, "total_ratings": 141438 }, "keywords": ["fire tv", "streaming device"], "categories": [ { "name": "Electronics", "link": "/electronics" }, { "name": "Streaming Media Players" } ], "images": [ "https://m.media-amazon.com/images/I/51KKR5uGn6L.jpg" ], "attributes": [ { "name": "Connectivity", "value": "Wi-Fi, HDMI" } ] }}